/* 
 *   Creation Date: <2000/12/31 04:29:36 samuel>
 *   Time-stamp: <2001/10/29 00:36:44 samuel>
 *   
 *	<io.h>
 *	
 *	I/O related things
 *   
 *   Copyright (C) 2000, 2001 Samuel Rydh (samuel@ibrium.se)
 *   
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation
 *   
 */

#ifndef _H_IO
#define _H_IO

extern void 	ioports_init( void );
extern void 	ioports_cleanup( void );

extern void 	do_io_read( void *_ior, ulong mphys, int len, ulong *retvalue );
extern void 	do_io_write( void *_ior, ulong mphys, ulong data, int len );

#endif   /* _H_IO */
